%global artifactId javax.servlet-api
%global full_version 3.1-b07

Name:           glassfish-servlet-api
Version:        3.1
Release:        0.1.b07
Summary:        Java Servlet API
Group:          Development/Libraries
License:        CDDL or GPLv2 with exceptions
URL:            http://servlet-spec.java.net
# svn export https://svn.java.net/svn/glassfish~svn/tags/javax.servlet-api-3.1-b07 javax.servlet-api-3.1-b07
# tar cvJf javax.servlet-api-3.1-b07.tar.xz javax.servlet-api-3.1-b07/
Source0:        %{artifactId}-%{full_version}.tar.xz
Patch0:         remove-glassfish-servlet-api-legal.patch
BuildArch:      noarch

BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  jpackage-utils
BuildRequires:  jvnet-parent
BuildRequires:  maven-local
BuildRequires:  maven
BuildRequires:  maven-source-plugin
Requires:       java

Provides:       javax.servlet

%description
The javax.servlet package contains a number of classes \
and interfaces that describe and define the contracts between \
a servlet class and the runtime environment provided for \
an instance of such a class by a conforming servlet container.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{artifactId}-%{full_version}
%patch0

%build
mvn-rpmbuild install javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{artifactId}-%{full_version}.jar \
    %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/
rm -rf target/site/api*

%files -f .mfiles

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Sat Mar 09 2013 David Xie <david.scriptfan@gmail.com> - 3.1-b07
- Initial version of package

CENSE-2.0.txt
%{_javadocdir}/%{name}

%changelog
* Sat Mar 09 2013 David Xie <david.scriptfan@gmail.com> - 3.1-0.1.b07
- Initial version of package

